/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.actionscript-facile.com
  Portions created by the Initial Developer are Copyright (C) 2010
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */
package
{
	import org.osflash.signals.Signal;
	import com.actionscriptfacile.ui.text.UITextField;
	import flash.display.Sprite;
	
	
	/**
	 * @author Matthieu
	 */
	public class TxtInput extends Sprite
	{
		public var event : Signal;
		private var oTxtField : UITextField;
		private var sTxt : String = "";
		
		
		public function TxtInput()
		{
			this.init();
		}


		private function init() : void
		{
			event = new Signal(String, Boolean);// definition des types des paramètres à diffuser par dispatch
			
			oTxtField = new UITextField();
			oTxtField.text = "Renseignez le texte qui va défiler...";
			
			//oTxtField.selectable = true;
			oTxtField.autoSizeNone();
			oTxtField.multiline = true;
			oTxtField.maxHeight = oTxtField.height = 100;
			oTxtField.maxWidth = oTxtField.width = 490;
			oTxtField.border = true;
			oTxtField.borderColor = 0X006f77;
			
			oTxtField.convertToInput();
			oTxtField.alignLeft(); // centre le texte
			oTxtField.changeFormat("size", 15);// changement de la taille de la police du texte
			oTxtField.changeFormat("font", "Arial");// changement de la taille de la police du texte
			oTxtField.changeFormat("color", 0X006f77);// changement de la couleur
			
			this.addChild(oTxtField);
		}
		
		
		
		/**
		 * Informe les écouteurs que le texte a été mis à jour.
		 * Envoie le texte avec l'évènement.
		 * Envoie un booleen true (mise à jour) - false (identique)
		 */
		public function onChange() : void
		{
			// diffuse le texte mis à jour aux écouteurs
			if( sTxt == oTxtField.text) event.dispatch( oTxtField.text, false );
			else
			{
				sTxt = oTxtField.text;
				event.dispatch( oTxtField.text, true );
			}
		}

	}
}
